Lingxing
切换旧版

上传货件跟踪号

POST/amzStaServer/openapi/inbound-shipment/updateShipmentTrack

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-shipment/updateShipmentTrackHTTPSPOST1

请求参数

inboundPlanIdstring
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】;传入inboundPlanId时,需要同时传入shipmentId
sidinteger必填
领星店铺ID,对应查询亚马逊店铺列表接口对应字段【sid】
shipmentIdstring
货件id,对应查询货件方案接口对应字段【shipmentId】;传入shipmentId时,需要同时传入inboundPlanId
shipmentConfirmationIdstring
货件单号;当传入货件单号时,不可传递inboundPlanId和shipmentId
billOfLadingNumberobject
提货单号(LTL建议填写,非必填)
freightBillNumberstring
LTL跟踪编号(LTL必填)
trackBOListarray<object>
SPD跟踪编号(SPD必填)
隐藏子属性
boxIdstring
箱子id
trackingIdstring
跟踪id

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/updateShipmentTrack?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "sid": 1,
    "shipmentId": "货件id",
    "shipmentConfirmationId": "FBA190XXXXXK",
    "billOfLadingNumber": "提货单号",
    "freightBillNumber": "LTL001",
    "trackBOList": [{
        "boxId": "箱子id:通过查询货件装箱详情接口获取箱子ID,注意不是包裹ID",
        "trackingId": "跟踪id"
    }]
}'
参数名说明必填类型示例
code状态码,0 成功是[int]0
message消息提示是[string]success
errorDetails错误信息是[array]
requestId请求链路id是[string]
responseTime响应时间是[string]2020-05-18 11:23:47
data响应数据是[object]
data>>errorMsg错误信息是[string]
data>>inboundPlanId亚马逊任务编号是[string]
data>>taskId任务id是[string]
data>>taskStatus任务状态
process
success
failure
local_failure
是[string]

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "errorMsg": "错误信息",
        "inboundPlanId": "亚马逊任务编号",
        "taskId": "任务id",
        "taskStatus": "任务状态"
    }
}